import { is as u, getDi as f, getBusinessObject as o } from "./ModelUtil.mjs";
function e(r, t) {
  return u(r, "bpmn:CallActivity") ? false : u(r, "bpmn:SubProcess") ? (t = t || f(r), t && u(t, "bpmndi:BPMNPlane") ? true : t && !!t.isExpanded) : u(r, "bpmn:Participant") ? !!o(r).processRef : true;
}
function p(r) {
  return r && !!o(r).triggeredByEvent;
}
export {
  p as isEventSubProcess,
  e as isExpanded
};
